QuizNet/Models/ErrorViewModel.cs
using System;

namespace QuizNet.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

QuizNet/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using QuizNet.DataAccess.Models;
using QuizNet.Models;

namespace QuizNet.Controllers
{
    public class HomeController : Controller
    {
        public static List<Student> students = new List<Student>()
        {
            new Student()
            {
                Id=1,
                Index=124493,
                FirstName = "Marcin",
                LastName = "Krysiński"

            },
            new Student()
            {
                Id=2,
                Index=168792,
                FirstName = "Janek",
                LastName = "Kowalski"

            },
        };

        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index(int id=1)
        {
            var student = students.FirstOrDefault(s => s.Id == id);
            return View(student);
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

QuizNet/Controllers/QuestionController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using QuizNet.DataAccess;
using QuizNet.DataAccess.Models;
using QuizNet.Models;

namespace QuizNet.Controllers
{
    public class QuestionController : Controller
    {
        private readonly IQuestionRepository _questionRepository;

        public QuestionController(IQuestionRepository questionRepository)
        {
            _questionRepository = questionRepository;
        }

        public IActionResult GetAll()
        {
            var questions = _questionRepository.GetAll();
            return View(questions);
        }

        public IActionResult Get(int id)
        {
            var question = _questionRepository.GetById(id);
            return View(question);
        }

        public IActionResult Delete(int id)
        {
            _questionRepository.Delete(id);
            return RedirectToAction("GetAll");
        }

        public IActionResult Create()
        {
            var newQuestion = new Question();
            return View(newQuestion);
        }

        [HttpPost]
        public IActionResult Create(Question question)
        {
            var newQuestionId = _questionRepository.GetAll().Last().Id + 1;
            question.Id = newQuestionId;

            var lastAnswerId = _questionRepository.GetAll().LastOrDefault().
                Answers.LastOrDefault().Id;


            for (int i = 0; i < question.Answers.Length; i++)
            {
                question.Answers[i].Id = lastAnswerId + i + 1;
                question.Answers[i].QuestionId = newQuestionId;
            }

            _questionRepository.Add(question);

            return RedirectToAction("Get", new {Id = question.Id});
        }
    }
}

QuizNet/Views/Home/Index.cshtml
@model QuizNet.DataAccess.Models.Student
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">

    <p>Id: @Model.Id</p>
    <p>Index: @Model.Index</p>
    <p>First name: @Model.FirstName</p>
    <p>Last name: @Model.LastName</p>
</div>

QuizNet/Views/Question/Create.cshtml
@model QuizNet.DataAccess.Models.Question
@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<form method="post" asp-controller="Question" asp-action="Create">
    Question text:
    <input class="form-control" asp-for="Text" />

    Answer 1# <input class="form-control" asp-for="Answers[0].Text" />
    Answer 2# <input class="form-control" asp-for="Answers[1].Text" />
    Answer 3# <input class="form-control" asp-for="Answers[2].Text" />
    Answer 4# <input class="form-control" asp-for="Answers[3].Text" />

    <div class="form-check">
        <input class="form-check-input" type="radio" value="0" asp-for="CorrectAnswerIndex" id="option1"/>
        <label class="form-check-label" for="option1">
             Pierwsza odpowiedz jest prawidlowa
        </label>
    </div>
    <div class="form-check">
        <input class="form-check-input" type="radio" value="1" asp-for="CorrectAnswerIndex"  id="option2"/>
        <label class="form-check-label" for="option2">
             Druga odpowiedz jest prawidlowa
        </label>
    </div>
    <div class="form-check">
        <input class="form-check-input" type="radio" value="2" asp-for="CorrectAnswerIndex"  id="option3"/>
        <label class="form-check-label" for="option3">
             Trzecia odpowiedz jest prawidlowa
        </label>
    </div>
    <div class="form-check">
        <input class="form-check-input" type="radio" value="3" asp-for="CorrectAnswerIndex"  id="option4"/>
        <label class="form-check-label" for="option4">
            Czwarta odpowiedz jest prawidlowa
        </label>
    </div>
    
    <button class="btn btn-primary" type="submit">Create!</button>
</form>

QuizNet/Views/Question/Get.cshtml
@model QuizNet.DataAccess.Models.Question
@{
    ViewData["Title"] = "Get";
}

<h1>@Model.Text</h1>

<ul>
    @for (int i = 0; i < Model.Answers.Length; i++)
    {
        if (i == Model.CorrectAnswerIndex)
        {
            <li class="list-group-item active">@Model.Answers[i].Text</li>
        }
        else
        {
            <li class="list-group-item">@Model.Answers[i].Text</li>
        }
    }
</ul>

QuizNet/Views/Question/GetAll.cshtml
@model List<QuizNet.DataAccess.Models.Question>
@{
    ViewData["Title"] = "GetAll";
}

<h1>Questions</h1>
<br/>

@foreach (var question in Model)
{
    <h3>@question.Text</h3>
    <a class="btn btn-primary" 
       asp-controller="Question" 
       asp-action="Get" 
       asp-route-id="@question.Id.ToString()">Details</a>

    <a class="btn btn-danger" 
       asp-controller="Question" 
       asp-action="Delete" 
       asp-route-id="@question.Id.ToString()">Delete</a>

    <ul class="list-group">
        @foreach (var answer in question.Answers)
        {
            <li class="list-group-item">@answer.Text</li>
        }
    </ul>

}

QuizNet/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - QuizNet</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">QuizNet</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Question" asp-action="GetAll">Questions</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2019 - QuizNet - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>